StoredSortedEntrySet (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.collections.StoredSortedEntrySet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.4.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.collections
Class StoredSortedEntrySet

    java.lang.Object
      com.sleepycat.collections.StoredContainer
          com.sleepycat.collections.StoredCollection
              com.sleepycat.collections.StoredEntrySet
                  com.sleepycat.collections.StoredSortedEntrySet

All Implemented Interfaces:
  Cloneable, Collection, Set, SortedSet

public class StoredSortedEntrySet
extends StoredEntrySet
implements SortedSet

The SortedSet returned by Map.entrySet(). This class may not be instantiated directly. Contrary to what is stated by `Map.entrySet()` this class does support the `StoredEntrySet.add(java.lang.Object)` and `StoredCollection.addAll(java.util.Collection)` methods.

The `Map.Entry.setValue(java.lang.Object)` method of the Map.Entry objects that are returned by this class and its iterators behaves just as the `StoredIterator.set(java.lang.Object)` method does.

Note that this class does not conform to the standard Java collections interface in the following ways:

- The `StoredContainer.size()` method always throws `UnsupportedOperationException` because, for performance reasons, databases do not maintain their total record count.
- All iterators must be explicitly closed using `StoredIterator.close()` or `StoredIterator.close(java.util.Iterator)` to release the underlying database cursor resources.

In addition to the standard SortedSet methods, this class provides the following methods for stored sorted sets only. Note that the use of these methods is not compatible with the standard Java collections interface.

- `headSet(Object, boolean)`
- `tailSet(Object, boolean)`
- `subSet(Object, boolean, Object, boolean)`

Method Summary
`Comparator` | `comparator()` Returns null since comparators are not supported.
`Object` | `first()` Returns the first (lowest) element currently in this sorted set.
`SortedSet` | `headSet(Object toMapEntry)` Returns a view of the portion of this sorted set whose elements are strictly less than toMapEntry.
`SortedSet` | `headSet(Object toMapEntry, boolean toInclusive)` Returns a view of the portion of this sorted set whose elements are strictly less than toMapEntry, optionally including toMapEntry.
`Object` | `last()` Returns the last (highest) element currently in this sorted set.
`SortedSet` | `subSet(Object fromMapEntry, boolean fromInclusive, Object toMapEntry, boolean toInclusive)` Returns a view of the portion of this sorted set whose elements are strictly greater than fromMapEntry and strictly less than toMapEntry, optionally including fromMapEntry and toMapEntry.
`SortedSet` | `subSet(Object fromMapEntry, Object toMapEntry)` Returns a view of the portion of this sorted set whose elements range from fromMapEntry, inclusive, to toMapEntry, exclusive.
`SortedSet` | `tailSet(Object fromMapEntry)` Returns a view of the portion of this sorted set whose elements are greater than or equal to fromMapEntry.
`SortedSet` | `tailSet(Object fromMapEntry, boolean fromInclusive)` Returns a view of the portion of this sorted set whose elements are strictly greater than fromMapEntry, optionally including fromMapEntry.

Methods inherited from class com.sleepycat.collections.StoredEntrySet
`add, contains, remove, toString`

Methods inherited from class com.sleepycat.collections.StoredCollection
`addAll, containsAll, equals, hashCode, iterator, iterator, join, removeAll, retainAll, toArray, toArray, toList`

Methods inherited from class com.sleepycat.collections.StoredContainer
`areDuplicatesAllowed, areDuplicatesOrdered, areKeysRenumbered, clear, getCursorConfig, isDirtyRead, isDirtyReadAllowed, isEmpty, isOrdered, isSecondary, isTransactional, isWriteAllowed, size`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Method Detail

### comparator

    public Comparator comparator()

  Returns null since comparators are not supported. The natural ordering of a stored collection is data byte order, whether the data classes implement the `Comparable` interface or not. This method does not conform to the `SortedSet.comparator()` interface.

  Specified by:
    `comparator` in interface `SortedSet`
  Returns:
    null.

### first

    public Object first()

  Returns the first (lowest) element currently in this sorted set. This method conforms to the `SortedSet.first()` interface.

  Specified by:
    `first` in interface `SortedSet`
  Returns:
    the first element.
  Throws:
    `RuntimeExceptionWrapper` - if a `DatabaseException` is thrown.

### last

    public Object last()

  Returns the last (highest) element currently in this sorted set. This method conforms to the `SortedSet.last()` interface.

  Specified by:
    `last` in interface `SortedSet`
  Returns:
    the last element.
  Throws:
    `RuntimeExceptionWrapper` - if a `DatabaseException` is thrown.

### headSet

    public SortedSet headSet(Object toMapEntry)

  Returns a view of the portion of this sorted set whose elements are strictly less than toMapEntry. This method conforms to the `SortedSet.headSet(java.lang.Object)` interface.

  Note that the return value is a StoredCollection and must be treated as such; for example, its iterators must be explicitly closed.

  Specified by:
    `headSet` in interface `SortedSet`
  Parameters:
    `toMapEntry` - the upper bound.
  Returns:
    the subset.
  Throws:
    `RuntimeExceptionWrapper` - if a `DatabaseException` is thrown.

### headSet

    public SortedSet headSet(Object toMapEntry,
                             boolean toInclusive)

  Returns a view of the portion of this sorted set whose elements are strictly less than toMapEntry, optionally including toMapEntry. This method does not exist in the standard `SortedSet` interface.

  Note that the return value is a StoredCollection and must be treated as such; for example, its iterators must be explicitly closed.

  Parameters:
    `toMapEntry` - is the upper bound.
    `toInclusive` - is true to include toMapEntry.
  Returns:
    the subset.
  Throws:
    `RuntimeExceptionWrapper` - if a `DatabaseException` is thrown.

### tailSet

    public SortedSet tailSet(Object fromMapEntry)

  Returns a view of the portion of this sorted set whose elements are greater than or equal to fromMapEntry. This method conforms to the `SortedSet.tailSet(java.lang.Object)` interface.

  Note that the return value is a StoredCollection and must be treated as such; for example, its iterators must be explicitly closed.

  Specified by:
    `tailSet` in interface `SortedSet`
  Parameters:
    `fromMapEntry` - is the lower bound.
  Returns:
    the subset.
  Throws:
    `RuntimeExceptionWrapper` - if a `DatabaseException` is thrown.

### tailSet

    public SortedSet tailSet(Object fromMapEntry,
                             boolean fromInclusive)

  Returns a view of the portion of this sorted set whose elements are strictly greater than fromMapEntry, optionally including fromMapEntry. This method does not exist in the standard `SortedSet` interface.

  Note that the return value is a StoredCollection and must be treated as such; for example, its iterators must be explicitly closed.

  Parameters:
    `fromMapEntry` - is the lower bound.
    `fromInclusive` - is true to include fromMapEntry.
  Returns:
    the subset.
  Throws:
    `RuntimeExceptionWrapper` - if a `DatabaseException` is thrown.

### subSet

    public SortedSet subSet(Object fromMapEntry,
                            Object toMapEntry)

  Returns a view of the portion of this sorted set whose elements range from fromMapEntry, inclusive, to toMapEntry, exclusive. This method conforms to the `SortedSet.subSet(java.lang.Object, java.lang.Object)` interface.

  Note that the return value is a StoredCollection and must be treated as such; for example, its iterators must be explicitly closed.

  Specified by:
    `subSet` in interface `SortedSet`
  Parameters:
    `fromMapEntry` - is the lower bound.
    `toMapEntry` - is the upper bound.
  Returns:
    the subset.
  Throws:
    `RuntimeExceptionWrapper` - if a `DatabaseException` is thrown.

### subSet

    public SortedSet subSet(Object fromMapEntry,
                            boolean fromInclusive,
                            Object toMapEntry,
                            boolean toInclusive)

  Returns a view of the portion of this sorted set whose elements are strictly greater than fromMapEntry and strictly less than toMapEntry, optionally including fromMapEntry and toMapEntry. This method does not exist in the standard `SortedSet` interface.

  Note that the return value is a StoredCollection and must be treated as such; for example, its iterators must be explicitly closed.

  Parameters:
    `fromMapEntry` - is the lower bound.
    `fromInclusive` - is true to include fromMapEntry.
    `toMapEntry` - is the upper bound.
    `toInclusive` - is true to include toMapEntry.
  Returns:
    the subset.
  Throws:
    `RuntimeExceptionWrapper` - if a `DatabaseException` is thrown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.4.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.